Summary: Completely configurable key-combo grabber for blackbox
Name: bbkeys
Version: 0.9.0
Release: 5%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://bbkeys.sourceforge.net/
Source: http://dl.sf.net/bbkeys/bbkeys-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: blackbox-devel
# Use monolithic X up to FC4, and modular X for FC5+ and non-Fedora
%if %{!?fedora:6}%{?fedora} >= 5
BuildRequires: libX11-devel, libXext-devel
%else
BuildRequires: xorg-x11-devel
%endif

%description
bbkeys is a configurable key-grabber designed for the blackbox window manager
which is written by Brad Hughes.  It is based on the bbtools object code
created by John Kennis and re-uses some of the blackbox window manager classes
as well.  bbkeys is easily configurable via directly hand-editing the user's
~/.bbkeysrc file, or by using the GUI total blackbox configurator, bbconf.


%prep
%setup


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
# Clean this up, we package the exact same files cleanly in %%doc
%{__rm} -rf %{buildroot}%{_datadir}/doc/bbkeys/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog LICENSE NEWS README TODO
%{_bindir}/bbkeys
%dir %{_datadir}/bbkeys/
%config %{_datadir}/bbkeys/bbkeysrc
%config %{_datadir}/bbkeys/defaultStyle
%{_mandir}/man?/*


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-5
- FC6 rebuild.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-4
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-3
- Rebuild for new gcc/glibc.

* Mon Jan 23 2006 Matthias Saou <http://freshrpms.net/> 0.9.0-2
- Add conditional to build with/without modular X depending on FC version.

* Fri Apr  1 2005 Matthias Saou <http://freshrpms.net/> 0.9.0-1
- Update to 0.9.0.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.8.6-4
- Bump release to provide Extras upgrade path.

* Tue May 18 2004 Matthias Saou <http://freshrpms.net/> 0.8.6-3
- Rebuild for Fedora Core 2.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 0.8.6-3
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Thu Mar  6 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.6.

* Tue Aug 13 2002 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup.

* Sat Jan 12 2002 Jason 'vanRijn' Kasper <vR@movingparts.net>
- removing README.bbkeys and adding BUGS and NEWS

* Sat Jan 5 2002 Jason 'vanRijn' Kasper <vR@movingparts.net>
- gzipping man pages by default and changing file list to reflect this

* Mon Nov 5 2001 Jason 'vanRijn' Kasper <vR@movingparts.net>
- removing bbkeysConfigC and replacing with bbkeysconf.pl

* Tue Sep 18 2001 Jason Kasper <vR@movingparts.net>
- changing to a dynamically-created bbkeys.spec

* Sun Aug 5 2001 Jason Kasper <vR@movingparts.net>
- added to file list for newly included files (docs and man pages)
- install to %{prefix} instead of /usr

* Sun May 6 2001 Hollis Blanchard <hollis@terraplex.com>
- removed file list in favor of explicit %files section
- install to /usr instead of /usr/local
- buildroot = /var/tmp/bbkeys-buildroot instead of /tmp/buildroot

